Namespace: webdriver
View Source

# interface CommandExecutor

Handles the execution of WebDriver `commands`.

## Instance Methods

### execute(command, callback)code »

Executes the given `command`. If there is an error executing the command, the provided callback will be invoked with the offending error. Otherwise, the callback will be invoked with a null Error and non-null `bot.response.ResponseObject` object.

Parameters

command`webdriver.Command`

  The command to execute.

callback`function(Error, {status: number, value: *}=): ?`

  the function to invoke when the command response is ready.